import request from "@/utils/request";

// 查询套管鞋列表
export function listJtzbTgx(query) {
  return request({
    url: "/jtzj/jtzbTgx/list",
    method: "get",
    params: query,
  });
}

// 查询套管鞋详细
export function getJtzbTgx(id) {
  return request({
    url: "/jtzj/jtzbTgx/" + id,
    method: "get",
  });
}

// 新增套管鞋
export function addJtzbTgx(data) {
  return request({
    url: "/jtzj/jtzbTgx",
    method: "post",
    data: data,
  });
}

// 修改套管鞋
export function updateJtzbTgx(data) {
  return request({
    url: "/jtzj/jtzbTgx",
    method: "put",
    data: data,
  });
}

// 删除套管鞋
export function delJtzbTgx(id) {
  return request({
    url: "/jtzj/jtzbTgx/" + id,
    method: "delete",
  });
}
